// heightfield -> cylinder POV test file
/* Try this example: 
   
	gforge -m 200 -pe .5 .5
	cyl output.tga a.inc 1 2 3 100 50
	povray -ocyltest.tga -icyltest.pov +ft +w640 +h480

*/

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

camera {
	location        <2,2,-5>
	up              <0, 1, 0>
	right           <4/3, 0, 0>
	look_at         <0,0,0>
}

object { light_source { <10, 5, -5>  color red 1.2 green 1 blue .8 } }
object { light_source { <-10, -5, -5> color red .8 green 1.1 blue .9 } }


#declare Cyl1 =
 mesh  {   
  #include "a.inc"
 }

object {
  Cyl1
  texture { DMFLightOak } 
  scale .7
  rotate <45, 45, 0>
  translate <-1.75, 1.5, 0>
}

object {
  Cyl1
  texture { Dull }  
  scale .7
  rotate <-45, -45, 45>
  translate <1.75, 1.5, 0>
}

object {
  Cyl1
  texture {  pigment {White}  }
  scale .7
  rotate y*90
  translate <-1.75, -1.5, 0>
}

object {
  Cyl1
  texture { Bronze_Metal }  
  scale .7
  rotate <90, -120, 0>
  translate <1.75, -0.5, 0>
}
