// POV3 example file for 'orb' program
// by John Beale 3/24/96

/* Try this example:
   gforge
   orb output.tga moon.inc 1 5
   gopov orbtest +w640 +h480

*/


#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
// #include "stones.inc"

camera {
	location        <2,2,-6>
	up              <0, 1, 0>
	right           <4/3, 0, 0>
	look_at         <0,0,0>
}

object { light_source { <10, 5, -5>  color red 1.2 green 1 blue .8 } }
object { light_source { <-10, -5, -5> color red .8 green 1.1 blue .9 } }

#declare Moon =
mesh {
 #include "moon.inc"   /* collection of triangle or smooth_triangle data */
}

object {
  Moon
  texture { DMFLightOak } 
  scale .7
  rotate z*0
  translate <-1.5, 1.5, 0>
}

object {
  Moon
  texture { Dull }  
  scale .7
  rotate z*180
  translate <1.5, 1.5, 0>
}

object {
  Moon
  texture {  pigment {White}  }
  scale .7
  rotate y*90
  translate <-1.5, -1.5, 0>
}

object {
  Moon
  texture { Bronze_Metal }  
  scale .7
  rotate x*90
  translate <1.5, -1.5, 0>
}
